"""
init class that imports all workflows into GSO.
"""
from orchestrator.workflows import LazyWorkflowInstance

LazyWorkflowInstance("gso.workflows.device.create_device", "create_device")
LazyWorkflowInstance(
    "gso.workflows.device.terminate_device", "terminate_device"
)
LazyWorkflowInstance("gso.workflows.device.get_facts", "get_facts")
LazyWorkflowInstance("gso.workflows.iptrunk.create_iptrunk", "create_iptrunk")
LazyWorkflowInstance(
    "gso.workflows.iptrunk.terminate_iptrunk", "terminate_iptrunk"
)
LazyWorkflowInstance(
    "gso.workflows.iptrunk.modify_isis_metric", "modify_isis_metric"
)
LazyWorkflowInstance("gso.workflows.iptrunk.modify_generic", "modify_generic")
LazyWorkflowInstance("gso.workflows.site.create_site", "create_site")
